-Xmx1024m
-Dlog4j.configurationFile=./etc/log4j.xml
-Djava.io.tmpdir=./tmp
-DHWS_CONFIG_PATH=./etc/helix-web-services.conf-Dlog4j.configurationFile=./etc/log4j.xml-Dlog4j.configurationFile=./etc/log4j.xmlcontext.getBooleanVariable("sys.confirmedUpdateInstallation")!context.getBooleanVariable("sys.confirmedUpdateInstallation")context.getInstallationDirectory().exists()${compiler:sys.fullName} ${compiler:sys.version}Helix Web Services26com.perforce.HelixWebServices26Thank you for installing Helix Web Services!To configure the Helix Web Services service, change the following configuration file and restart your HWS service:${installer:sys.contentDir}${installer:sys.fileSeparator}etc${installer:sys.fileSeparator}helix-web-services.confconfigureTo define Helix P4D servers that your Helix Web Services can communicate with, create a file with configuration for each in the following directory and restart your HWS service${installer:sys.contentDir}${installer:sys.fileSeparator}etc${installer:sys.fileSeparator}p4d${installer:sys.fileSeparator}p4ds_locationExample configuration file can be found at:${installer:sys.contentDir}${installer:sys.fileSeparator}etc${installer:sys.fileSeparator}p4d${installer:sys.fileSeparator}exampleexample${i18n:UninstallerMenuEntry(${compiler:sys.fullName})}truetruetruetruetrue26sbin/uninstall-helix-web-servicestrue.exec 2>/opt/perforce/helix-web-services/log/error.log
/opt/perforce/helix-web-services/sbin/setup-helix-ws
if [ $? -ne 0 ]; then
printf "Failed to run /opt/perforce/helix-web-services/sbin/setup-helix-ws.\nSee /opt/perforce/helix-web-services/log/error.log for details.\n"
exit $?;
fi
service helix-ws start
if [ $? -ne 0 ]; then
printf "Failed to run helix-ws.\nSee /opt/perforce/helix-web-services/log/error.log for details.\n"
exit $?;
fi
echo "::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"
echo ":: Thank you for installing Helix Web Services!"
echo ":: "
echo ":: To configure the Helix Web Services service, change the following"
echo ":: configuration file and restart your HWS service:"
echo ":: /opt/perforce/helix-web-services/etc/helix-web-services.conf"
echo ":: "
echo ":: To define Helix P4D servers that your Helix Web Services can communicate with,"
echo ":: create a file with configuration for each in the following directory and "
echo ":: restart your HWS service"
echo ":: /opt/perforce/helix-web-services/etc/p4d/"
echo ":: "
echo ":: Example configuration file can be found at:"
echo ":: /opt/perforce/helix-web-services/etc/p4d/example"
echo "::\n::"
echo ":: To restart your HWS Service use the following command:"
echo ":: sudo service helix-ws restart"
echo "::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"#!/bin/sh
# vim:sw=4
# prerm script for helix-web-services
#
# see: dh_installdeb(1)
#-------------------------------------------------------------------------------
# Start of main functionality
#-------------------------------------------------------------------------------
die()
{
echo "FATAL: $@" >&2
exit 1
}
# Tidy up filesystem, leave the p4d configuration files alone.
run_uninstaller()
{
/opt/perforce/helix-web-services/sbin/uninstall-helix-web-services --installer
return 0
}
case "$1" in
remove)
run_uninstaller
;;
upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
;;
*)
echo "prerm called with unknown argument \`$1'" >&2
;;
esac
exit 0#!/bin/sh
# vim:sw=4
# postrm script for helix-web-services
#
# see: dh_installdeb(1)
#-------------------------------------------------------------------------------
# Start of main functionality
#-------------------------------------------------------------------------------
case "$1" in
purge)
return 0
;;
remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
;;
*)
echo "postrm called with unknown argument \`$1'" >&2
;;
esac
exit 0